Skip to content

List pages

GET
/api/tenant/{tenantId}/Pages
curl --request GET \
--url https://api.nimles.com/cms/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Pages \
--header 'Authorization: Bearer <token>'
tenantId
required
string format: uuid

Your tenant id.

ids
Array<string>

OK

Media typeapplication/json
object
fields
object
key
additional properties
string
data
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
relations
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
name
string
nullable
entityId
required
string format: uuid
entityType
required
string
>= 1 characters
relationType
required
string
>= 1 characters
tenantId
string format: uuid
nullable
resourceGroupId
string format: uuid
nullable
creatorId
string format: uuid
nullable
createdDate
string format: date-time
nullable
version
integer format: int32
nullable
lastModified
string format: date-time
nullable
pageType
required
string
nullable
title
required
string
nullable
titleLocalized
object
key
additional properties
string
longTitle
string
nullable
longTitleLocalized
object
key
additional properties
string
summary
string
nullable
summaryLocalized
object
key
additional properties
string
description
string
nullable
descriptionLocalized
object
key
additional properties
string
imageId
string format: uuid
nullable
styles
object
key
additional properties
css
string
nullable
elements
Array<object>
nullable
object
fields
object
key
additional properties
object
value
required
nullable
valueType
string
nullable
accessibility
string
nullable
id
string format: uuid
type
required
string
nullable
children
Array<object> recursive
properties
object
key
additional properties
styles
object
key
additional properties
css
string
nullable
content
string
nullable
text
string
nullable
contentLocalized
object
key
additional properties
string
contentId
string format: uuid
nullable
uniqueName
required
string
nullable
classNames
string
nullable
uniqueName
required
string
nullable
template
string
nullable
insertJs
string
nullable
published
object recursive
status
required
string
nullable
publishedDate
string format: date-time
nullable
classNames
string
nullable

Example generated

{
"data": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"relations": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"entityId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"entityType": "example",
"relationType": "example"
}
],
"tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"resourceGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"creatorId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"createdDate": "2026-04-15T12:00:00Z",
"version": 1,
"lastModified": "2026-04-15T12:00:00Z",
"pageType": "example",
"title": "example",
"titleLocalized": {
"additionalProperty": "example"
},
"longTitle": "example",
"longTitleLocalized": {
"additionalProperty": "example"
},
"summary": "example",
"summaryLocalized": {
"additionalProperty": "example"
},
"description": "example",
"descriptionLocalized": {
"additionalProperty": "example"
},
"imageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"styles": {
"additionalProperty": "example"
},
"css": "example",
"elements": [
{
"fields": {
"additionalProperty": {
"value": "example",
"valueType": "example"
}
},
"accessibility": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"type": "example",
"children": [],
"properties": {
"additionalProperty": "example"
},
"styles": {
"additionalProperty": "example"
},
"css": "example",
"content": "example",
"text": "example",
"contentLocalized": {
"additionalProperty": "example"
},
"contentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"uniqueName": "example",
"classNames": "example"
}
],
"uniqueName": "example",
"template": "example",
"insertJs": "example",
"published": {},
"status": "example",
"publishedDate": "2026-04-15T12:00:00Z",
"classNames": "example"
}
]
}

Unauthorized: no bearer token, or one that is expired or not for this API.

Forbidden: the caller holds no role that allows this action at this scope. The body is empty, or a problem whose detail names the action.

Media typeapplication/json

An RFC 9457 problem.

object
detail
string
nullable
instance
string
nullable
status
integer format: int32
nullable
title
string
nullable
type
string
nullable
key
additional properties

Example generated

{
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}